Generate a crypto wallet address
curl --request POST \
--url https://merchant.bitliva.com/api/v1/customers/{id}/wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "<string>",
"network": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: '<string>', network: '<string>'})
};
fetch('https://merchant.bitliva.com/api/v1/customers/{id}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://merchant.bitliva.com/api/v1/customers/{id}/wallets"
payload = {
"currency": "<string>",
"network": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://merchant.bitliva.com/api/v1/customers/{id}/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => '<string>',
'network' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"message": "Wallet address generated successfully.",
"data": {
"wallet": {
"currency": "usdt",
"network": "trc20",
"address": "TXyZ...exampleAddress",
"created_at": "2026-10-18T09:05:00+01:00"
}
}
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}Customers
Generate a crypto wallet address
Creates the address a customer receives a coin on. Repeating the same coin and network returns the existing address.
POST
/
customers
/
{id}
/
wallets
Generate a crypto wallet address
curl --request POST \
--url https://merchant.bitliva.com/api/v1/customers/{id}/wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "<string>",
"network": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: '<string>', network: '<string>'})
};
fetch('https://merchant.bitliva.com/api/v1/customers/{id}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://merchant.bitliva.com/api/v1/customers/{id}/wallets"
payload = {
"currency": "<string>",
"network": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://merchant.bitliva.com/api/v1/customers/{id}/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => '<string>',
'network' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"message": "Wallet address generated successfully.",
"data": {
"wallet": {
"currency": "usdt",
"network": "trc20",
"address": "TXyZ...exampleAddress",
"created_at": "2026-10-18T09:05:00+01:00"
}
}
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}Authorizations
Your API key.
Path Parameters
Body
application/json

